Add tracking tag to Student Reps email subscription

VERIFIED FIXED in 1.0

Status

www.mozilla.org
General
VERIFIED FIXED
8 years ago
6 years ago

People

(Reporter: Laura Forrest, Assigned: Wes Contreras)

Tracking

unspecified
x86
All

Firefox Tracking Flags

(Not tracked)

Details

(URL)

Attachments

(1 attachment, 1 obsolete attachment)

(Reporter)

Description

8 years ago
Please add this tracking code to the "Subscribe" button on this page. 


onMouseDown="dcsMultiTrack('DCS.dcsuri',
'/button/studentreps/newsletter_subscribe.html', 'WT.ti',
'Studentreps%20Newsletter%20Subscribe');">

See this for more info: https://intranet.mozilla.org/Webanalytics#Intra-page_Event_Tracking
Assignee: abuchanan → jlong
Target Milestone: --- → 1.0
Status: NEW → ASSIGNED
Created attachment 499903 [details]
Fix for Bug 616216

Here's a patch to implement this.  As with bug 616212, I'm not sure who needs to review this patch.
Created attachment 499904 [details] [diff] [review]
Fix for Bug 616216

Forgot to specify that last attachment as a patch.
Attachment #499903 - Attachment is obsolete: true
On the page with the spinner wheel (http://mozilla.james.local/en-US/firefox/fx/), the attachment says that the 3 sections on the wheel (mobile, personas, addons) are each supposed to be tagged with tracking code.  Is it supposed to track when the user clicks the wheel to spin?  All that happens when the user clicks any part of the wheel is it spins.
Sorry, in the previous comment I gave a local url, here is the real url to that page:

http://www.mozilla.com/en-US/firefox/fx/
(Reporter)

Comment 5

8 years ago
(In reply to comment #3)
> On the page with the spinner wheel
> (http://mozilla.james.local/en-US/firefox/fx/), the attachment says that the 3
> sections on the wheel (mobile, personas, addons) are each supposed to be tagged
> with tracking code.  Is it supposed to track when the user clicks the wheel to
> spin?  All that happens when the user clicks any part of the wheel is it spins.

Hey James - is this comment meant for bug 620705? 
https://bugzilla.mozilla.org/show_bug.cgi?id=620705

The scope of this bug is limited to the /newsletter page.
Yes, sorry about that, I will move the comment.
Same thing needs to happen here as bug 616212.  I've added Wes; if you wouldn't mind, could you approve this patch?
(Reporter)

Updated

8 years ago
Assignee: jlong → wes.contreras
(Assignee)

Comment 8

8 years ago
I don't have access to test directly, but reviewing the revised HTML code, it looks good to me.
OS: Windows XP → All
r80221 | jlong@mozilla.com | 2011-01-05 15:53:10 -0500 (Wed, 05 Jan 2011) | 2 lines
Status: ASSIGNED → RESOLVED
Last Resolved: 8 years ago
Resolution: --- → FIXED
Keywords: push-needed
Pushed to staging

--

r80663 | jlong@mozilla.com | 2011-01-12 16:27:13 -0500 (Wed, 12 Jan 2011) | 2 lines

r80220 from trunk for bug 616212
r80221 from trunk for bug 616216 (Committing all changes) [Kubla]
Pushed to production

--

r80664 | jlong@mozilla.com | 2011-01-12 16:35:47 -0500 (Wed, 12 Jan 2011) | 6 lines
Keywords: push-needed
verified fixed http://www.mozilla.com/en-US/newsletter/studentreps/
Status: RESOLVED → VERIFIED
Component: www.mozilla.org/firefox → www.mozilla.org
Product: Websites → Websites
Component: www.mozilla.org → General
Product: Websites → www.mozilla.org
You need to log in before you can comment on or make changes to this bug.